=== debian/changelog ===
hime (0.9.10+git20150916+dfsg1-2) unstable; urgency=medium

  * Update copyright to comply with machine-readable format.
  * Remove hime-dbg in favor of dbgsym.
  * Remove menu file in favor of desktop file.
  * Update Vcs-*.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 01:13:18 +0800

hime (0.9.10+git20150916+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.10+git20150916+dfsg1 to fix FTBFS on big
    endianness platforms.
  * Remove upstream applied patch harden.patch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 29 Sep 2015 13:53:42 +0800

hime (0.9.10+git20150821+dfsg-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Use git snapshot for Qt 5.
  * Support Multi-Arch:
    * Add --himelibdir.
    * Add libhime, hime-gtk2-immodule.
    * Add postinst, postrm scripts for GTK modules.
  * Update Vcs-Browser.
  * Remove hime-dev since libhime-im-client1 is not designed to be used
    outside HIME.

  [ Yao Wei (魏銘廷) ]
  * Make upstream tarball DFSG compatible.
  * Update homepage in debian/control.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 25 Sep 2015 22:38:49 +0800

hime (0.9.10-7) unstable; urgency=medium

  * Fix bashism in /bin/sh script. (Closes: #772236)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 28 Apr 2015 21:18:41 +0800

hime (0.9.10-6) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump Standards-Version
  * Don't remove alternative when upgrade

  [ Yao Wei (魏銘廷) ]
  * Add libappindicator dependency (Closes: #776883)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Mon, 27 Apr 2015 18:31:59 +0800
