=== debian/control ===
Source: hime
Section: utils
Priority: extra
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
Standards-Version: 3.9.6
Homepage: http://hime-ime.github.io
Build-Depends: debhelper (>= 9.20151219),
               autotools-dev,
               dpkg-dev (>= 1.16.1~),
               libanthy-dev,
               libappindicator-dev,
               libchewing3-dev,
               libgtk2.0-dev (>= 2.20.0),
               libgtk-3-dev,
               libqt4-dev,
               libxtst-dev,
               qtbase5-private-dev,
               qtchooser,
Vcs-Git: git://anonscm.debian.org/pkg-ime/hime.git -b debian.sid
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/hime.git/?h=debian/sid

Package: hime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime-data,
         hime-tables,
         libhime,
Recommends: im-config | im-switch,
            hime-gtk2-immodule,
            hime-gtk3-immodule,
Suggests: hime-anthy,
          hime-chewing,
          hime-qt4-immodule,
          hime-qt5-immodule,
          gcin-voice,
Description: GTK+ based input method for Chinese users
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 To use HIME, the correspondence immodule packages also need to be installed.
 They are:
 .
  * hime-gtk2-immodule for GTK2
  * hime-gtk3-immodule for GTK3
  * hime-qt4-immodule for Qt4
  * hime-qt5-immodule for Qt5

Package: hime-data
Architecture: all
Depends: ${misc:Depends},
Description: icons, locales and scripts for HIME
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package contains icons, locales, scripts and other architecture-
 independent things.

Package: hime-tables
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: input method tables for HIME
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package contains architecture-dependent input method tables.

Package: libhime
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for HIME
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package contains library for HIME.

Package: hime-gtk2-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
Breaks: hime (<< 0.9.10+git20150821+dfsg-1),
Replaces: hime (<< 0.9.10+git20150821+dfsg-1),
Description: GTK2 input method module with HIME as backend
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the GTK2 input method module (immodule) for HIME.

Package: hime-gtk3-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
Description: GTK3 input method module with HIME as backend
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the GTK3 input method module (immodule) for HIME.

Package: hime-qt4-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
Description: Qt4 input method module with HIME as backend
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the Qt4 input method module (immodule) for HIME.

Package: hime-qt5-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
Description: Qt5 input method module with HIME as backend
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the Qt5 input method module (immodule) for HIME.

Package: hime-anthy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
         anthy,
Description: support library to use Anthy in HIME
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the support library to use anthy in HIME.

Package: hime-chewing
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hime (>= ${source:Version}),
Description: support library to use Chewing in HIME
 HIME Input Method Editor is a input method platform, which is forked
 from the famous gcin input method.
 .
 This package is the support library to use chewing in HIME.
