=== debian/watch ===
version=3
https://github.com/hime-ime/hime/downloads /downloads/hime-ime/hime/hime-(.*).dfsg.orig.tar.xz
