=== gtk-im/Makefile ===
--- 
+++ 
@@ -41,16 +41,16 @@
 
 install:
 	if [ "$(prefix)" = "/usr/local" -o "$(prefix)" = "/usr" ]; then \
-		install -d $(MODULEDIR); \
-		install -m 755 im-hime.so $(MODULEDIR); \
+		install -d "$(MODULEDIR)"; \
+		install -m 755 im-hime.so "$(MODULEDIR)"; \
 		if [ "$(prefix)" = "/usr/local" ]; then \
-			if [ -d $(DESTDIR)/etc/gtk-2.0 ]; then \
-				cd $(DESTDIR)/etc/gtk-2.0; $(IMMODULES_QUERY) > gtk.immodules; \
+			if [ -d "$(DESTDIR)/etc/gtk-2.0" ]; then \
+				cd "$(DESTDIR)/etc/gtk-2.0"; $(IMMODULES_QUERY) > gtk.immodules; \
 			fi \
 		fi \
 	else \
-		install -d $(IMMODULES); \
-		install -m 755 im-hime.so $(IMMODULES); \
+		install -d "$(IMMODULES)"; \
+		install -m 755 im-hime.so "$(IMMODULES)"; \
 	fi
 
 .depend:
