=== debian/changelog ===
hime (0.9.10+git20170427+dfsg1-5build1) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:02:21 +0300

hime (0.9.10+git20170427+dfsg1-5) unstable; urgency=medium

  * Replace dh_install with dh_missing.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 04 Oct 2020 19:07:48 +0800

hime (0.9.10+git20170427+dfsg1-4) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * Fix ftbfs with GCC-10. (Closes: #957335, LP: #1897750)

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump Standards-Version to 4.5.0.
    * Add Rules-Requires-Root: no.
  * Bump compat to 13.
  * Remove legacy debug package hime-dbg.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 04 Oct 2020 18:47:52 +0800

hime (0.9.10+git20170427+dfsg1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * Bump compat to 11.
  * Use new team mailing list (Closes: #899537).
  * Update Vcs-* fields to salsa.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 29 May 2018 17:45:03 +0800

hime (0.9.10+git20170427+dfsg1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.0.
    * Change Priority to optional.
  * Remove hime-qt4-immodule (Closes: #874904).
  * Remove unnecessary Build-Depends autotools-dev.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 24 Sep 2017 18:04:12 +0800

hime (0.9.10+git20170427+dfsg1-1) unstable; urgency=medium

  * Update upstream git snapshot (Closes: #867575).
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.
  * Update copyright.
    * Use https in Format.
    * Add Files-Excluded for DFSG.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 09 Jul 2017 21:11:32 +0800

hime (0.9.10+git20150916+dfsg1-8) unstable; urgency=medium

  * Avoid using locale-dependent shell glob for reproducible build.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Jul 2016 00:06:58 +0800

hime (0.9.10+git20150916+dfsg1-7) unstable; urgency=medium

  * Fix buggy version comparison in hime.postinst.
    Thanks to Chung-chieh Shan, Andreas Beckmann (Closes: #827927)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 01 Jul 2016 11:08:50 +0800

hime (0.9.10+git20150916+dfsg1-6) unstable; urgency=medium

  * Remove randomness for reproducible build.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 30 Jun 2016 22:48:39 +0800

hime (0.9.10+git20150916+dfsg1-5) unstable; urgency=medium

  * Fix accessing uninitialized variable in maintainer script.
    Thanks: Chung-chieh Shan

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 24 Jun 2016 18:00:23 +0800

hime (0.9.10+git20150916+dfsg1-4) unstable; urgency=medium

  * Fix maintainer script error when install. (Closes: #827845)
  * Do not recommend im-switch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 22 Jun 2016 08:53:28 +0800

hime (0.9.10+git20150916+dfsg1-3) unstable; urgency=medium

  * Fix FTBFS on Qt 5.6.1. (Closes: #827332)
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.
  * Remove im-switch config.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 16 Jun 2016 12:08:09 +0800
