=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: hime
 Section: utils
-Priority: extra
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
-Standards-Version: 3.9.6
+Standards-Version: 4.5.0
 Homepage: http://hime-ime.github.io
-Build-Depends: debhelper (>= 9.20151219),
-               autotools-dev,
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libanthy-dev,
                libappindicator-dev,
                libchewing3-dev,
                libgtk2.0-dev (>= 2.20.0),
                libgtk-3-dev,
-               libqt4-dev,
                libxtst-dev,
                qtbase5-private-dev,
                qtchooser,
-Vcs-Git: git://anonscm.debian.org/pkg-ime/hime.git -b debian.sid
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/hime.git/?h=debian/sid
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/hime.git
+Vcs-Browser: https://salsa.debian.org/debian/hime
 
 Package: hime
 Architecture: any
@@ -30,7 +29,7 @@
          hime-data,
          hime-tables,
          libhime,
-Recommends: im-config | im-switch,
+Recommends: im-config,
             hime-gtk2-immodule,
             hime-gtk3-immodule,
 Suggests: hime-anthy,
@@ -47,7 +46,6 @@
  .
   * hime-gtk2-immodule for GTK2
   * hime-gtk3-immodule for GTK3
-  * hime-qt4-immodule for Qt4
   * hime-qt5-immodule for Qt5
 
 Package: hime-data
@@ -107,18 +105,6 @@
  .
  This package is the GTK3 input method module (immodule) for HIME.
 
-Package: hime-qt4-immodule
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         hime (>= ${source:Version}),
-Description: Qt4 input method module with HIME as backend
- HIME Input Method Editor is a input method platform, which is forked
- from the famous gcin input method.
- .
- This package is the Qt4 input method module (immodule) for HIME.
-
 Package: hime-qt5-immodule
 Architecture: any
 Multi-Arch: same
